PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
Low Power Callbacks
PDL API Reference » SCB (Serial Communication Block) » UART (SCB) » Functions

## General Description

## Functions
cy_en_syspm_status_t | Cy_SCB_UART_DeepSleepCallback (cy_stc_syspm_callback_params_t *callbackParams, cy_en_syspm_callback_mode_t mode)
| This function handles the transition of the SCB UART into and out of Deep Sleep mode. More...
cy_en_syspm_status_t | Cy_SCB_UART_HibernateCallback (cy_stc_syspm_callback_params_t *callbackParams, cy_en_syspm_callback_mode_t mode)
| This function handles the transition of the SCB UART into Hibernate mode. More...

## Function Documentation

## ◆ Cy_SCB_UART_DeepSleepCallback()

cy_en_syspm_status_t Cy_SCB_UART_DeepSleepCallback | ( | cy_stc_syspm_callback_params_t * | callbackParams,
|  | cy_en_syspm_callback_mode_t | mode
| ) |  |

This function handles the transition of the SCB UART into and out of Deep Sleep mode.

It prevents the device from entering Deep Sleep mode if the UART is transmitting data or has any data in the RX FIFO. If the UART is ready to enter Deep Sleep mode, it is disabled. The UART is enabled when the device fails to enter Deep Sleep mode or it is awakened from Deep Sleep mode. While the UART is disabled, it stops driving the outputs and ignores the inputs. Any incoming data is ignored. Refer to section Low Power Support for more information about UART pins when SCB disabled.

This function must be called during execution of Cy_SysPm_CpuEnterDeepSleep, to do it, register this function as a callback before calling Cy_SysPm_CpuEnterDeepSleep : specify CY_SYSPM_DEEPSLEEP as the callback type and call Cy_SysPm_RegisterCallback.

Parameters

  callbackParams | The pointer to the callback parameters structure cy_stc_syspm_callback_params_t.
  mode | Callback mode, see cy_en_syspm_callback_mode_t

Returns
  cy_en_syspm_status_t

## ◆ Cy_SCB_UART_HibernateCallback()

cy_en_syspm_status_t Cy_SCB_UART_HibernateCallback | ( | cy_stc_syspm_callback_params_t * | callbackParams,
|  | cy_en_syspm_callback_mode_t | mode
| ) |  |

This function handles the transition of the SCB UART into Hibernate mode.

It prevents the device from entering Hibernate mode if the UART is transmitting data or has any data in the RX FIFO. If the UART is ready to enter Hibernate mode, it is disabled. If the device fails to enter Hibernate mode, the UART is enabled. While the UART is disabled, it stops driving the outputs and ignores the inputs. Any incoming data is ignored. Refer to section Low Power Support for more information about UART pins when SCB disabled.

This function must be called during execution of Cy_SysPm_SystemEnterHibernate. To do it, register this function as a callback before calling Cy_SysPm_SystemEnterHibernate : specify CY_SYSPM_HIBERNATE as the callback type and call Cy_SysPm_RegisterCallback.

Parameters

  callbackParams | The pointer to the callback parameters structure cy_stc_syspm_callback_params_t.
  mode | Callback mode, see cy_en_syspm_callback_mode_t

Returns
  cy_en_syspm_status_t